%global momorel 1
Name:           geoclue2
Version:        2.4.4
Release: %{momorel}m%{?dist}
Summary:        Geolocation service
Group:         System Environment/Libraries
License:        GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/GeoClue/
Source0:        http://www.freedesktop.org/software/geoclue/releases/2.4/geoclue-%{version}.tar.xz
NoSource: 0

BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  json-glib-devel
BuildRequires:  libsoup-devel
BuildRequires:  ModemManager-glib-devel
BuildRequires:  systemd
Requires(pre):  shadow-utils
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires:       dbus

Obsoletes:      geoclue2-server < 2.1.8

%description
Geoclue is a D-Bus service that provides location information. The primary goal
of the Geoclue project is to make creating location-aware applications as
simple as possible, while the secondary goal is to ensure that no application
can access location information without explicit permission from user.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains files for developing applications that
use %{name}.


%prep
%setup -q -n geoclue-%{version}


%build
%configure --with-dbus-service-user=geoclue
%make  V=1


%install
%make_install

# Home directory for the 'geoclue' user
mkdir -p %{buildroot}/var/lib/geoclue

# Remove demo files
rm %{buildroot}%{_datadir}/applications/geoclue-demo-agent.desktop
rm %{buildroot}%{_datadir}/applications/geoclue-where-am-i.desktop
rm %{buildroot}%{_libexecdir}/geoclue-2.0/demos/where-am-i

rm %{buildroot}%{_libdir}/*.la


%pre
# Update the home directory for existing users
getent passwd geoclue >/dev/null && \
    usermod -d /var/lib/geoclue geoclue &>/dev/null
# Create a new user and group if they don't exist
getent group geoclue >/dev/null || groupadd -r geoclue
getent passwd geoclue >/dev/null || \
    useradd -r -g geoclue -d /var/lib/geoclue -s /sbin/nologin \
    -c "User for geoclue" geoclue
exit 0

%post
%systemd_post geoclue.service

%preun
%systemd_preun geoclue.service

%postun
%systemd_postun_with_restart geoclue.service


%files
%doc COPYING NEWS
%config %{_sysconfdir}/geoclue/
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_libdir}/libgeoclue-2.so.*
%{_libdir}/girepository-1.0/Geoclue-2.0.typelib
%{_libexecdir}/geoclue
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/gir-1.0/Geoclue-2.0.gir
%{_unitdir}/geoclue.service
%attr(755,geoclue,geoclue) %dir /var/lib/geoclue

%files devel
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2*.xml
%{_libdir}/libgeoclue-2.so
%{_libdir}/pkgconfig/geoclue-2.0.pc
%{_libdir}/pkgconfig/libgeoclue-2.0.pc
%{_includedir}/libgeoclue-2.0/

%changelog
* Thu Jan 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.4-1m)
- update 2.4.4

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.9-2m)
- update

* Mon Apr 21 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.8-1m)
- update to 2.1.8

* Fri Mar 28 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.7-1m)
- update to 2.1.7

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.6-1m)
- update to 2.1.6

* Wed Mar 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.2-1m)
- update to 2.1.2

* Sat Feb  8 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0

* Fri Dec 27 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.0-1m)
- import from fedora

